# Enrolled Devices Report Scheduled

### Description

This runbook reports recent device enrollments based on a configurable time range. It can group results by a selected attribute and can optionally export the report as a CSV file.

### Location

Organization → General → Enrolled Devices Report (Scheduled)

**Full Runbook name**

rjgit-org\_general\_enrolled-devices-report\_scheduled

### Permissions

#### Application permissions

* **Type**: Microsoft Graph
  * DeviceManagementServiceConfig.Read.All
  * DeviceManagementManagedDevices.Read.All
  * User.Read.All
  * Device.ReadWrite.All

#### Permission notes

Azure: Contributor on Storage Account

### Parameters

#### Weeks

Time range in weeks to include in the report.

| Property      | Value |
| ------------- | ----- |
| Required      | false |
| Default Value | 4     |
| Type          | Int32 |

#### dataSource

Data source used to determine the first enrollment date.

| Property      | Value |
| ------------- | ----- |
| Required      | false |
| Default Value | 0     |
| Type          | Int32 |

#### groupingSource

Data source used to resolve the grouping attribute.

| Property      | Value |
| ------------- | ----- |
| Required      | false |
| Default Value | 1     |
| Type          | Int32 |

#### groupingAttribute

Attribute name used for grouping.

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | country |
| Type          | String  |

#### exportCsv

Please configure an Azure Storage Account to use this feature.

| Property      | Value   |
| ------------- | ------- |
| Required      | false   |
| Default Value | True    |
| Type          | Boolean |

#### ContainerName

Storage container name used for upload.

| Property      | Value  |
| ------------- | ------ |
| Required      | false  |
| Default Value |        |
| Type          | String |

#### ResourceGroupName

Resource group that contains the storage account.

| Property      | Value  |
| ------------- | ------ |
| Required      | false  |
| Default Value |        |
| Type          | String |

#### StorageAccountName

Storage account name used for upload.

| Property      | Value  |
| ------------- | ------ |
| Required      | false  |
| Default Value |        |
| Type          | String |

#### StorageAccountLocation

Azure region for the storage account.

| Property      | Value  |
| ------------- | ------ |
| Required      | false  |
| Default Value |        |
| Type          | String |

#### StorageAccountSku

Storage account SKU.

| Property      | Value  |
| ------------- | ------ |
| Required      | false  |
| Default Value |        |
| Type          | String |

[Back to Runbook Reference overview](/automation/runbooks/runbook-references.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmjoin.com/automation/runbooks/runbook-references/org/general/enrolled-devices-report_scheduled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
